/* MED - music editor  1989, 1990 by Teijo Kinnunen */
/* MED-newintui.c ---- Intuition-structures */
#include "med.h"
extern struct Kappale far song;

extern UWORD chip gfximg2[],chip gfximg3[],chip gfximg4[],chip gfximg5[];
extern UWORD chip gfximg6[],chip gfximg7[],chip gfximg8[],chip gfximg9[];
extern UWORD chip gfximgA[],chip gfximgB[];
extern UWORD chip okt12data[],chip okt23data[],chip okt34data[];
extern UWORD chip okt45data[],chip loadgadgets[],chip savegadgets[];

struct Image far autoknobimg[8];
struct Image far kuviot = { 0,0,224,45,2,gfximg2,0x3,0x0,NULL };
struct Image far loadgadgimg = { 0,0,66,14,2,loadgadgets,0x3,0x0,NULL };
struct Image far savegadgimg = { 0,0,66,14,2,savegadgets,0x3,0x0,NULL };
struct Image far oktimg[5] = { { 0,0,9,8,2,okt12data,0x3,0x0,NULL },
{ 0,0,9,8,2,okt23data,0x3,0x0,NULL },{ 0,0,9,8,2,okt34data,0x3,0x0,NULL },
{ 0,0,9,8,2,okt45data,0x3,0x0,NULL } };
char hakemisto[100],kappaleennimi[50],undo[100],toistostr[7],tpitstr[7];
char presetstr[4],volstr[4],mvolstr[4],stransstr[4],linesstr[4] = { '0',0 };
UWORD *imgdataptr[] = {
	NULL,NULL,gfximg2,gfximg3,gfximg4,gfximg5,gfximg6,gfximg7,
	gfximg8,gfximg9,gfximgA,gfximgB };

struct PropInfo propinfo[] = {
{ AUTOKNOB|FREEVERT|PROPBORDERLESS,MAXPOT,MAXPOT,MAXBODY,MAXBODY,0,0,0,0,0,0 },
{ AUTOKNOB|FREEHORIZ|PROPBORDERLESS,0x2134,MAXPOT,0x112,MAXBODY,0,0,0,0,0,0 },
{ AUTOKNOB|FREEHORIZ|PROPBORDERLESS,MAXPOT,MAXPOT,0x400,MAXBODY,0,0,0,0,0,0 },
{ AUTOKNOB|FREEHORIZ|PROPBORDERLESS,MAXPOT,MAXPOT,508,MAXBODY,0,0,0,0,0,0 },
{ AUTOKNOB|FREEHORIZ|PROPBORDERLESS,MAXPOT/2,MAXPOT,2621,MAXBODY,0,0,0,0,0,0 },
{ AUTOKNOB|FREEHORIZ|PROPBORDERLESS,0,0,MAXBODY/16,MAXBODY,0,0,0,0,0,0 },
{ AUTOKNOB|FREEHORIZ|PROPBORDERLESS,0,0,MAXBODY/16,MAXBODY,0,0,0,0,0,0 },
{ AUTOKNOB|FREEHORIZ|PROPBORDERLESS,0,0,MAXBODY/16,MAXBODY,0,0,0,0,0,0 }
};
struct StringInfo strinfo[] = {
{ hakemisto,undo,0,100,0,0,0,0,0,0,NULL,NULL,NULL },
{ kappaleennimi,undo,0,50,0,0,0,0,0,0,NULL,NULL,NULL },
{ song.sample[0].sname,undo,0,40,0,0,0,0,0,0,NULL,NULL,NULL },
{ toistostr,undo,0,7,0,0,0,0,0,0,NULL,NULL,NULL },
{ tpitstr,undo,0,7,0,0,0,0,0,0,NULL,NULL,NULL },
{ presetstr,undo,0,4,0,0,0,0,0,0,NULL,NULL,NULL },
{ volstr,undo,0,4,0,0,0,0,0,0,NULL,NULL,NULL },
{ mvolstr,undo,0,4,0,0,0,0,0,0,NULL,NULL,NULL },
{ stransstr,undo,0,4,0,0,0,0,0,0,NULL,NULL,NULL },
{ linesstr,undo,0,4,0,0,0,0,0,0,NULL,NULL,NULL }
};
struct Gadget far gadget1[] = {
{ &gadget1[1],233,17,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x102,NULL },
{ &gadget1[2],233,27,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x103,NULL },
{ &gadget1[3],233,37,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x104,NULL },
{ &gadget1[4],233,47,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x105,NULL },
{ &gadget1[5],233,57,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x106,NULL },
{ &gadget1[6],276,17,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x107,NULL },
{ &gadget1[7],276,27,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x108,NULL },
{ &gadget1[8],276,37,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x109,NULL },
{ &gadget1[9],276,47,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x10A,NULL },
{ &gadget1[10],276,57,39,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x10B,NULL },
{ &gadget1[11],108,66,5,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xF00,NULL },	/* Editoi (E) */
{ &gadget1[12],115,66,9,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xF01,NULL },	/* 2 */
{ NULL,97,66,9,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xF02,NULL }	/* 1+2/2+3/3+4/4+5/5+6 */
};

struct Gadget far gadget2[] = {
{ &gadget2[1],8,21,120,8,GADGHCOMP,RELVERIFY,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x200,NULL }, /* rivi1 */
{ &gadget2[2],8,29,120,8,GADGHCOMP,RELVERIFY,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x201,NULL },
{ &gadget2[3],8,37,120,8,GADGHCOMP,RELVERIFY,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x202,NULL },
{ &gadget2[4],8,45,120,8,GADGHCOMP,RELVERIFY,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x203,NULL },
{ &gadget2[5],8,53,120,8,GADGHCOMP,RELVERIFY,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x204,NULL }, /* rivi5 */
{ &gadget2[6],130,47,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x205,NULL }, /* nuoli yls */
{ &gadget2[7],130,21,6,24,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,/*selaus*/
  (APTR)&autoknobimg[0],NULL,NULL,NULL,(APTR)&propinfo[0],0x206,NULL },
{ &gadget2[8],130,55,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x207,NULL }, /* nuoli alas */
{ &gadget2[9],153,43,74,8,GADGHCOMP,RELVERIFY,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[0],0x208,NULL }, /* Hak. nimi */
{ &gadget2[10],153,53,74,8,GADGHCOMP,RELVERIFY,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[1],0x209,NULL }, /* Kpl nimi */
{ &gadget2[11],139,20,21,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x120A,NULL }, /* Lataa */
{ &gadget2[12],139,27,21,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x20B,NULL }, /* Tall. */
{ &gadget2[13],139,34,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x20F,NULL }, /* DF0 */
{ &gadget2[14],157,34,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x210,NULL }, /* DF1 */
{ &gadget2[15],175,34,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x211,NULL }, /* DF2 */
{ &gadget2[16],193,34,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x212,NULL }, /* DH0 */
{ &gadget2[17],213,34,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x213,NULL }, /* DH1 */
/* Gadget 17: Lataus */
{ &gadget2[18],163,20,64,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x214,NULL },	/* Lataa kappale */
{ &gadget2[19],163,27,31,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x215,NULL },	/* Lataa soitin */
{ NULL,196,27,31,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x216,NULL },	/* ST MOD */
/* Gadget 20: Tallennus */
{ &gadget2[21],163,20,64,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x217,NULL },	/* Tall. kpl */
{ &gadget2[22],163,27,31,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x218,NULL },	/* Tall. soitin */
{ NULL,196,27,31,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x219,NULL }	/* Tuhoa */
};

struct Gadget far gadget3[] = {
{ &gadget3[1],100,45,63,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x300,NULL }, /* Soita kappale */
{ &gadget3[2],100,54,63,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x301,NULL }, /* Soita lohkoa */
{ &gadget3[3],53,45,45,16,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x302,NULL }, /* Lopeta soitto */
{ &gadget3[4],165,45,63,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x303,NULL }, /* Jatka kappaletta */
{ &gadget3[5],165,54,63,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x304,NULL }, /* Jatka lohkoa */
{ &gadget3[6],90,34,35,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1305,NULL }, /* Suodatin */
{ &gadget3[7],127,34,13,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1306,NULL }, /* Eq 1 */
{ &gadget3[8],54,26,11,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x307,NULL }, /* ST */
{ &gadget3[9],54,19,11,5,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1308,NULL }, /* MED    vvv-tempo/prop. */
{ &gadget3[10],69,21,138,10,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,
  (APTR)&autoknobimg[1],NULL,NULL,NULL,(APTR)&propinfo[1],0x309,NULL },
{ &gadget3[11],211,21,6,10,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x30A,NULL }, /* tempo <- */
{ &gadget3[12],221,21,6,10,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x30B,NULL }, /* tempo -> */
{ &gadget3[13],25,31,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x30C,NULL }, /* ^ */
{ &gadget3[14],25,41,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x30D,NULL }, /* v */
{ &gadget3[15],25,20,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x30E,NULL }, /* eka */
{ &gadget3[16],25,51,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x30F,NULL }, /* viim. */
{ &gadget3[17],35,26,7,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x310,NULL }, /* + */
{ &gadget3[18],44,26,7,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x311,NULL }, /* - */
{ &gadget3[19],35,35,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x312,NULL }, /* Lis jrj. */
{ &gadget3[20],35,44,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x313,NULL }, /* Poista jrj. */
{ &gadget3[21],35,53,16,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x314,NULL },  /* Lis tm */
{ &gadget3[22],142,34,13,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1315,NULL }, /* Eq 2 */
{ &gadget3[23],157,34,13,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1316,NULL }, /* Eq 3 */
{ &gadget3[24],60,34,13,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x317,NULL }, /* hex */
{ NULL,75,34,13,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1318,NULL } /* dec */
};

struct Gadget far gadget4[] = {
{ &gadget4[1],7,39,24,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x407,NULL }, /* Poista */
{ &gadget4[2],33,30,15,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x401,NULL }, /* Ens. soitin */
{ &gadget4[3],98,30,15,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x402,NULL }, /* Viim. soitin */
{ &gadget4[4],50,30,22,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x403,NULL }, /* << */
{ &gadget4[5],74,30,22,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x404,NULL }, /* >> */
{ &gadget4[6],33,39,80,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x405,NULL }, /* Lataa soitin */
{ &gadget4[7],7,30,24,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x406,NULL }, /* Ukko */
{ &gadget4[8],25,20,152,8,GADGHCOMP,RELVERIFY,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[2],0x400,NULL }, /* Soitin nimi (str) */
{ &gadget4[9],179,30,48,8,GADGHCOMP,RELVERIFY|LONGINT,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)strinfo[3],0x408,NULL }, /* Toisto/alk. */
{ &gadget4[10],179,40,48,8,GADGHCOMP,RELVERIFY|LONGINT,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)strinfo[4],0x409,NULL }, /* Toisto/pit. */
{&gadget4[11],77,51,131,10,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,
  (APTR)&autoknobimg[2],NULL,NULL,NULL,(APTR)&propinfo[2],0x40B,NULL },
{ &gadget4[12],116,38,24,8,GADGHCOMP,RELVERIFY|LONGINT,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[8],0x40E,NULL },
{&gadget4[13],212,51,6,10,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x40A,NULL }, /* <- voim */
{&gadget4[14],222,51,6,10,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x40C,NULL }, /* -> voim */
{ &gadget4[15],142,38,6,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x40D,NULL },
{ NULL,150,38,6,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x40F,NULL }
};

struct Gadget far gadget5[] = {
{ &gadget5[1],30,19,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x501,NULL }, /* cut track */
{ &gadget5[2],59,19,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x500,NULL }, /* copy track */
{ &gadget5[3],88,19,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x502,NULL }, /* paste track */
{ &gadget5[4],117,19,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x503,NULL }, /* swap track */
{ &gadget5[5],30,30,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x505,NULL }, /* cut block */
{ &gadget5[6],59,30,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x504,NULL }, /* copy block */
{ &gadget5[7],88,30,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x506,NULL }, /* paste block */
{ &gadget5[8],117,30,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x507,NULL }, /* swap block */
{ &gadget5[9],6,53,43,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x508,NULL }, /* new block */
{ &gadget5[10],51,53,43,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x509,NULL }, /* new here */
{ &gadget5[11],96,53,43,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x50A,NULL }, /* del block */
{ &gadget5[12],141,53,43,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x50B,NULL }, /* del last */
{ &gadget5[13],146,42,33,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x50C,NULL }, /* clr buff */
{ &gadget5[14],186,53,20,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x50D,NULL }, /* split */
{ &gadget5[15],208,53,20,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x50E,NULL }, /* join */
{ &gadget5[16],30,42,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x50F,NULL }, /* set mark */
{ &gadget5[17],59,42,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x510,NULL }, /* cut */
{ &gadget5[18],88,42,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x511,NULL }, /* copy */
{ &gadget5[19],117,42,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x512,NULL }, /* paste */
{ &gadget5[20],164,19,14,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1513,NULL }, /* 4 */
{ &gadget5[21],180,19,14,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x514,NULL }, /* 8 */
{ &gadget5[22],196,19,14,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x515,NULL }, /* 12 */
{ &gadget5[23],213,19,14,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x516,NULL }, /* 16 */
{ &gadget5[24],181,42,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x517,NULL }, /* 1 */
{ &gadget5[25],188,42,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x518,NULL }, /* 2 */
{ &gadget5[26],195,42,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x519,NULL }, /* 3 */
{ &gadget5[27],202,42,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x51A,NULL }, /* 4 */
{ &gadget5[28],209,42,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x51B,NULL }, /* 8 */
{ &gadget5[29],216,42,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x51C,NULL }, /* 16 */
{ &gadget5[30],223,42,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x51D,NULL }, /* clr */
{ &gadget5[31],164,30,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x51E,NULL }, /* << */
{ &gadget5[32],174,30,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x51F,NULL }, /* < */
{ &gadget5[33],184,31,24,8,GADGHCOMP,RELVERIFY|LONGINT,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[9],0x520,NULL }, /* str */
{ &gadget5[34],210,30,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x521,NULL }, /* > */
{ NULL,220,30,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x522,NULL } /* >> */
};

struct Gadget far gadget6[] = {
{ &gadget6[1],190,40,38,10,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x600,NULL }, /* Edit */
{ &gadget6[2],190,52,38,10,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x601,NULL }, /* 2spc */
{ &gadget6[3],51,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1602,NULL }, /* 1... */
{ &gadget6[4],62,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1603,NULL },
{ &gadget6[5],73,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1604,NULL },
{ &gadget6[6],84,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1605,NULL },
{ &gadget6[7],95,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1606,NULL },
{ &gadget6[8],106,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1607,NULL },
{ &gadget6[9],117,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1608,NULL },
{ &gadget6[10],128,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1609,NULL },
{ &gadget6[11],139,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x160A,NULL },
{ &gadget6[12],150,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x160B,NULL },
{ &gadget6[13],161,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x160C,NULL },
{ &gadget6[14],172,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x160D,NULL },
{ &gadget6[15],183,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x160E,NULL },
{ &gadget6[16],194,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x160F,NULL },
{ &gadget6[17],205,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1610,NULL },
{ &gadget6[18],216,19,9,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1611,NULL }, /* ...16 */
{ &gadget6[19],7,52,15,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1612,NULL }, /* Okt 1+2 */
{ &gadget6[20],24,52,15,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x613,NULL }, /* Okt 2+3 */
{ &gadget6[21],41,52,15,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x614,NULL }, /* Okt 3+4 */
{ &gadget6[22],58,52,15,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x615,NULL }, /* Okt 4+5 */
{ &gadget6[23],7,30,13,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x616,NULL }, /* slide 1 */
{ &gadget6[24],93,30,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x617,NULL }, /* <- */
{ &gadget6[25],113,30,8,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x618,NULL }, /* -> */
{ &gadget6[26],7,41,49,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1619,NULL }, /* autom. rivinv. */
{ &gadget6[27],58,41,21,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x161A,NULL }, /* sh0-9 */
{ &gadget6[28],81,41,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x61B,NULL }, /* l.alt */
{ &gadget6[29],102,41,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x61C,NULL }, /* r.alt */
{ &gadget6[30],58,30,33,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x61D,NULL }, /* pick */
{ &gadget6[31],22,30,13,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x61E,NULL }, /* slide 2 */
{ &gadget6[32],37,30,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x61F,NULL }, /* vol. slide */
{ &gadget6[33],81,52,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x620,NULL }, /* save keys */
{ &gadget6[34],102,52,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x621,NULL }, /* clr */
{ &gadget6[35],124,40,14,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x622,NULL }, /* note # up */
{ &gadget6[36],124,48,14,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x623,NULL }, /* note # down */
{ &gadget6[37],140,40,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x624,NULL }, /* oct #up */
{ &gadget6[38],140,48,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x625,NULL }, /* oct # down */
{ &gadget6[39],128,56,14,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x626,NULL }, /* clr note & oct # */
{ &gadget6[40],149,40,6,14,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x627,NULL }, /* change 0th # */
{ &gadget6[41],158,40,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x628,NULL }, /* incr. 1st # */
{ &gadget6[42],158,48,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x629,NULL }, /* decr. 1st # */
{ &gadget6[43],158,56,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x62A,NULL }, /* clr 1st # */
{ &gadget6[44],166,40,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x62B,NULL }, /* incr. 2nd # */
{ &gadget6[45],166,48,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x62C,NULL }, /* decr. 2nd # */
{ &gadget6[46],166,56,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x62D,NULL }, /* clr 2nd # */
{ &gadget6[47],174,40,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x62E,NULL }, /* incr. 3rd # */
{ &gadget6[48],174,48,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x62F,NULL }, /* decr. 3rd # */
{ &gadget6[49],174,56,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x630,NULL }, /* clr 3rd # */
{ &gadget6[50],182,40,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x631,NULL }, /* incr. 4th # */
{ &gadget6[51],182,48,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x632,NULL }, /* decr. 4th # */
{ NULL,182,56,30,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x633,NULL } /* clr 4th # */
};

struct Gadget far gadget7[] = {
{ &gadget7[1],15,21,90,8,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,
  (APTR)&autoknobimg[5],NULL,NULL,NULL,(APTR)&propinfo[5],0x700,NULL },
{ &gadget7[2],15,31,90,8,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,
  (APTR)&autoknobimg[6],NULL,NULL,NULL,(APTR)&propinfo[6],0x701,NULL },
{ &gadget7[3],15,41,90,8,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,
  (APTR)&autoknobimg[7],NULL,NULL,NULL,(APTR)&propinfo[7],0x702,NULL },
{ &gadget7[4],15,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x703,NULL },	/* vri 0 */
{ &gadget7[5],25,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x704,NULL },
{ &gadget7[6],35,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x705,NULL },
{ &gadget7[7],45,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x706,NULL },
{ &gadget7[8],55,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x707,NULL },
{ &gadget7[9],65,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x708,NULL },
{ &gadget7[10],75,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x709,NULL },
{ &gadget7[11],85,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x70A,NULL },	/* vri 7 */
{ &gadget7[12],118,21,27,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x70B,NULL },	/* nollaa */
{ &gadget7[13],118,31,27,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x70C,NULL },	/* peru */
{ &gadget7[14],151,55,23,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x70D,NULL },	/* ei hypi */
{ &gadget7[15],176,55,26,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x70E,NULL },	/* joka 8. */
{ &gadget7[16],204,55,24,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x170F,NULL },	/* soitin */
{ &gadget7[17],171,19,57,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x711,NULL },	/* uusi kpl */
{ &gadget7[18],171,28,57,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x712,NULL },	/* jt soittimet */
{ &gadget7[19],171,37,57,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x713,NULL },	/* poistu */
{ &gadget7[20],159,19,10,12,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x714,NULL },	/* OK! */
{ &gadget7[21],134,46,44,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x715,NULL },	/* Lis polut */
{ NULL,180,46,48,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x716,NULL }	/* Poista polut */
};

struct Gadget far gadget8[] = {
{ &gadget8[1],43,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x800,NULL }, /*  */
{ &gadget8[2],53,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x801,NULL }, /* < */
{ &gadget8[3],63,52,24,8,GADGHCOMP,RELVERIFY|LONGINT,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[6],0x802,NULL }, /* voim. */
{ &gadget8[4],89,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x803,NULL }, /* > */
{ &gadget8[5],99,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x804,NULL }, /*  */
{ &gadget8[6],163,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x805,NULL }, /*  (pv) */
{ &gadget8[7],173,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x806,NULL }, /* < (pv) */
{ &gadget8[8],183,52,24,8,GADGHCOMP,RELVERIFY|LONGINT,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[7],0x807,NULL }, /* pvoim. */
{ &gadget8[9],209,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x808,NULL }, /* > (pv) */
{ &gadget8[10],219,52,8,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x809,NULL }, /*  (pv) */
{ NULL,44,28,142,18,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x810,NULL } /* volumes */
};

struct Gadget far gadget9[] = {
{ &gadget9[1],8,52,41,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x900,NULL },	/* MIDI pll */
{ &gadget9[2],82,34,27,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1901,NULL },	/* Midi ei */
{ &gadget9[3],111,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x902,NULL },	/* 1 */
{ &gadget9[4],118,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x903,NULL },	/* 2 */
{ &gadget9[5],125,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x904,NULL },	/* 3 */
{ &gadget9[6],132,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x905,NULL },	/* 4 */
{ &gadget9[7],139,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x906,NULL },	/* 5 */
{ &gadget9[8],146,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x907,NULL },	/* 6 */
{ &gadget9[9],153,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x908,NULL },	/* 7 */
{ &gadget9[10],160,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x909,NULL },	/* 8 */
{ &gadget9[11],167,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x90A,NULL },	/* 9 */
{ &gadget9[12],174,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x90B,NULL },	/* 10 */
{ &gadget9[13],181,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x90C,NULL },	/* 11 */
{ &gadget9[14],188,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x90D,NULL },	/* 12 */
{ &gadget9[15],195,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x90E,NULL },	/* 13 */
{ &gadget9[16],202,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x90F,NULL },	/* 14 */
{ &gadget9[17],209,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x910,NULL },	/* 15 */
{ &gadget9[18],216,34,5,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x911,NULL },	/* 16 */
{ &gadget9[19],112,53,24,8,GADGHCOMP,RELVERIFY|LONGINT,STRGADGET,NULL,NULL,
  NULL,NULL,(APTR)&strinfo[5],0x912,NULL },	/* Preset # str */
{ &gadget9[20],205,54,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x913,NULL },	/* <-     v- Preset # prop*/
{ &gadget9[21],139,54,62,6,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,
  (APTR)&autoknobimg[3],NULL,NULL,NULL,(APTR)&propinfo[3],0x914,NULL },
{ &gadget9[22],215,54,6,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x915,NULL },	/* -> */
{ &gadget9[23],51,52,53,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x916,NULL },	/* Sytt */
{ NULL,180,19,47,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x917,NULL }	/* get volume */
};
  
struct Gadget far gadgetA[] = {
{ &gadgetA[1],6,26,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA00,NULL },
{ &gadgetA[2],6,35,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA01,NULL },
{ &gadgetA[3],6,44,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA02,NULL },
{ &gadgetA[4],6,53,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA03,NULL },
{ &gadgetA[5],59,26,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA04,NULL },
{ &gadgetA[6],59,35,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA05,NULL },
{ &gadgetA[7],59,44,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA06,NULL },
{ &gadgetA[8],59,53,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA07,NULL },
{ &gadgetA[9],112,26,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA08,NULL },
{ &gadgetA[10],112,35,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA09,NULL },
{ &gadgetA[11],112,44,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA0A,NULL },
{ &gadgetA[12],112,53,40,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA0B,NULL },
{ &gadgetA[13],156,26,5,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA0C,NULL },	/* Soiton transp.: - */
{ &gadgetA[14],163,26,57,6,GADGHCOMP|GADGIMAGE,RELVERIFY,PROPGADGET,
  (APTR)&autoknobimg[4],NULL,NULL,NULL,(APTR)&propinfo[4],0xA0D,NULL },
{ &gadgetA[15],222,26,5,6,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA0E,NULL },	/* transp.: + */
{ &gadgetA[16],155,44,37,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA0F,NULL },
{ &gadgetA[17],194,44,33,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA10,NULL },
{ &gadgetA[18],168,53,21,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0x1A11,NULL },
{ NULL,191,53,36,7,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xA12,NULL }
};

struct Gadget far gadgetB[] = {
{ &gadgetB[1],137,31,6,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB00,NULL },	/* ^ */
{ &gadgetB[2],137,20,6,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,
  NULL,NULL,NULL,NULL,NULL,0xB01,NULL }, /* top */
{ &gadgetB[3],137,51,6,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,
  NULL,NULL,NULL,NULL,NULL,0xB0C,NULL }, /* bottom */
{ &gadgetB[4],137,41,6,8,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB02,NULL },	/* v */
{ &gadgetB[5],147,30,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB03,NULL },	/* <- */
{ &gadgetB[6],168,30,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB04,NULL },	/* -> */
{ &gadgetB[7],147,41,30,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB05,NULL },	/* Lataa s. */
{ &gadgetB[8],155,52,10,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB06,NULL },	/* L->CD */
{ &gadgetB[9],167,52,10,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB07,NULL },	/* L->S: */
{ &gadgetB[10],195,41,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB08,NULL },	/* Lis nimi */
{ &gadgetB[11],216,41,11,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB09,NULL },	/* Lis hak */
{ &gadgetB[12],195,51,19,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB0A,NULL },	/* Pois nimi */
{ NULL,216,51,11,9,GADGHNONE,GADGIMMEDIATE,BOOLGADGET,NULL,NULL,
  NULL,NULL,NULL,0xB0B,NULL }	/* Pois hak */
};

struct Gadget far *glists[] = { NULL,gadget1,gadget2,gadget3,gadget4,
	gadget5,gadget6,gadget7,gadget8,gadget9,gadgetA,gadgetB };
extern char title[]; /* med-rev.c:ss */
struct TextAttr far nsfont = { "topaz.font",8,0,0 };
struct NewScreen far ns = { 0,0,320,STDSCREENHEIGHT,3,0,1,0,CUSTOMSCREEN,
	&nsfont,title,NULL,NULL };
struct NewWindow far nw = { 0,0,320,200,-1,-1,GADGETDOWN|RAWKEY|GADGETUP|
	MOUSEBUTTONS,SMART_REFRESH|BACKDROP|BORDERLESS|ACTIVATE|NOCAREREFRESH|RMBTRAP,
	&gadget1[0],NULL,NULL,NULL,NULL,0,0,0,0,CUSTOMSCREEN };
struct NewWindow far pnw = { 0,16,320,56,-1,-1,NULL,NOCAREREFRESH|
	SMART_REFRESH|BORDERLESS|RMBTRAP,NULL,NULL,NULL,NULL,NULL,0,0,0,0,
	CUSTOMSCREEN }; /* eqalizerikkuna - kytss vain NTSC-Amigoissa */
